Method: brands.agents.updateVerification

  • The provided content outlines how to update the verification state for an agent using a PATCH HTTP request to the specified Googleapis URL.

  • The HTTP request requires a path parameter agentVerification.name as a string, which serves as the identifier for verification.

  • An optional query parameter updateMask, in FieldMask format, can be used to specify which fields to update.

  • Both the request and response bodies contain an instance of AgentVerification.

Updates the verification state for an agent.

HTTP request

PATCH https://businesscommunications.googleapis.com/v1/{agentVerification.name=brands/*/agents/*/verification}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
agentVerification.name

string

Required. The identifier for verification.

Query parameters

Parameters
updateMask

string (FieldMask format)

The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of AgentVerification.

Response body

If successful, the response body contains an instance of AgentVerification.